## VueClassifyChoice

### 一个分类选择的 vue 组件

![节点](./assets/test.jpg)

### 安装

```bash
npm install vue-classify-choice -S
或者
yarn add vue-classify-choice
```

### 使用

在`main.js`中引入插件并注册

```bash
#main.js
import VueClassifyChoice from "vue-classify-choice";
import "vue-classify-choice/dist/vue-classify-choice.css";
Vue.use(VueClassifyChoice)
在main.js中引入插件并注册
```

在项目中使用 VueClassifyChoice

```js
<template>
  <Vue-classify-choice />
</template>
```


### 参数

|参数|类型|必填|默认|说明|
|---|---|---|---|---|
|list|Array|false|[ { title: "test1", list: [ { name: "tab1", }, ], }, ]|选项列表，应当传入一个二维数组|
|type|Boolean|false|''|每一项的标识 用来告诉组件以那个字段作为值来返回选择的结果 不传默认为 index|
|dataListDefault|Array|false|[]|默认选中值的数组 需结合 type|
|showCancle|Boolean|false|false|是否显示取消按钮|
|activeColor|String|false|#148eeb|选中项的颜色|
|activeBackgroundColor|String|false|#f4f9ff|选中项的背景颜色|

### 事件

|事件名|说明|回调参数|
|---|---|---|
|selectionSureClick|确定按钮点击事件|选中项值:[]|
|selectionCancleClick|取消按钮点击事件|无|


### slot

|名称|说明|
|---|---|
|header|头部插槽|
|footer|底部注脚|

## License

[MIT license](LICENSE)


